Skip to main content
POST
/
pods
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/pods \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "limits": {},
  "metadata": {}
}
'
{
  "id": "<string>",
  "orgId": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "limits": {},
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Body

application/json

Request body for creating a new pod

name
string
required

Human-readable display name for the pod

Required string length: 2 - 100
slug
string
required

URL-friendly unique identifier (lowercase alphanumeric and hyphens only)

Required string length: 2 - 64
Pattern: ^[a-z0-9-]+$
limits
object

Optional resource limits for this pod

metadata
object

Arbitrary key-value metadata associated with the pod

Response

200 - application/json

OK

Full pod resource representation

id
string
required

Unique identifier of the pod

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
orgId
string
required

Organization ID that owns this pod

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
name
string
required

Human-readable display name

slug
string
required

URL-friendly unique identifier

status
enum<string>
required

Current lifecycle status

Available options:
ACTIVE,
SUSPENDED,
DELETED
limits
object | null
required

Resource limits for this pod

metadata
object | null
required

Arbitrary key-value metadata

createdAt
string<date-time>
required

Timestamp when the pod was created

updatedAt
string<date-time>
required

Timestamp when the pod was last updated